=== debian/changelog ===
ros-indigo-libuvc (0.0.4-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ken Tossell <ken@tossell.net>  Thu, 26 Jun 2014 17:10:40 -0000
