=== debian/control ===
Source: ros-indigo-libuvc
Section: misc
Priority: extra
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 9.0.0), cmake, libusb-1.0-0-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-libuvc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-indigo-catkin
Description: USB Video Class driver library
